# 86. Spørring: Hent "Farms"

Følgende skisserer den grunnleggende GraphQL-spørringen som brukes for å hente alle «Gårder» brukeren har tilgang til:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarms {
  getFarms {
    uuid
    userUuid
    navn
    farmOwnership
    externalKey
    ownerEmail
    opprettetDato
    updatedDate
  }
}
```

{% endcode %}

I tillegg til andre parametere kan du bruke `farmUuids` og `externalKeys` filtre for å tilpasse svaret ditt. Disse filtrene kan brukes uavhengig eller i kombinasjon, noe som gir mer målrettet datainnhenting.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    navn
    farmOwnership
    externalKey
    ownerEmail
    opprettetDato
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/86.-sporring-hent-farms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
